Skip to main content
GET
python (new sdk)

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

id

Filter by product ID. The product ID.

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

query
string | null

Filter by product name.

is_archived
boolean | null

Filter on archived products.

is_recurring
boolean | null

Filter on recurring products. If true, only subscriptions tiers are returned. If false, only one-time purchase products are returned.

benefit_id

Filter products granting specific benefit. The benefit ID.

visibility
enum<string>[] | null

Filter by visibility.

Available options:
draft,
private,
public
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
name,
-name,
price_amount_type,
-price_amount_type,
price_amount,
-price_amount
metadata
MetadataQuery · object | null

Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Successful Response

items
Product · object[]
required
pagination
Pagination · object
required